Monitoring - Retrieve Widgets For Entity

Ruft die Widgets für das Dashboard und die Entität ab. HINWEIS: Dies unterstützt nur das Abrufen von Widgets für ein Leistungs-Dashboard.

GET http://<Servername>/OperationsManager/monitoring/dashboard/{dashboardId}/entity/{entityId}

URI-Parameter

Name In Erforderlich Typ Beschreibung
dashboardId
path True

string

Geben Sie die Dashboard-ID an

entityId
path True

string

Angeben der Entitäts-ID

Antworten

Name Typ Beschreibung
200 OK

ComponentResponse[]

OKAY. Die Widgets für das Dashboard und die Entität wurden erfolgreich abgerufen.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Beispiele

RetrieveWidgets

Beispielanforderung

GET http://<Servername>/OperationsManager/monitoring/dashboard/925b3d43-d716-d56d-84ba-55a2467a6e7d/entity/b39822ed-0efd-b8e0-9ac4-968b5de725ab

Beispiel für eine Antwort

[
  {
    "id": "b39822ed-0efd-b8e0-9ac4-968b5de725ab",
    "name": "performance windows",
    "description": null,
    "mpId": "dcfdedc4-68bd-42b4-1e9a-ba94b1577732",
    "componentType": "HtmlPerformanceWidget",
    "config": "{\"widgetDisplay\":{\"col\":1,\"row\":1,\"sizex\":6,\"sizey\":4,\"selectedLegends\":[\"Target\",\"Path\",\"LastValue\"],\"visualizeObjectsByPerformance\":false},\"widgetParameters\":{\"scope\":{\"scopeSelection\":[{\"id\":\"6f7e3306-beeb-2996-3795-7c1eafb925b8\",\"displayName\":\"All Windows Computers\",\"className\":\"All Windows Computers\",\"path\":null,\"fullName\":\"Microsoft.SystemCenter.AllComputersGroup\",\"objectType\":-1}]},\"criteria\":{\"timeRange\":{\"timeValue\":24,\"timeUnit\":\"Hours\"},\"performanceCounters\":[]}},\"widgetRefreshInterval\":5}"
  }
]

Definitionen

ComponentResponse

Name Typ Beschreibung
componentType

string

Komponententyp

config

string

Konfiguration

description

string

Beschreibung der Komponente

id

string

Identifikationsnummer

mpId

string

MP-ID der Komponente

name

string

Komponentenname